/*!
	\file	InitWinsock.cpp
	\brief	WinSockの初期化を行う
*/

#include "StdAfx.h"
#include "InitWinsock.h"

//	ライブラリのロードを指示
#pragma comment(lib,"ws2_32.lib")

//!	WinSock初期化フラグ
static int _initWinsock = 0;

/*!
	WinSockを初期化する
*/
int InitWinSock()
{
	if(_initWinsock)
		return(0);

	WORD wRequired;

	//	2.0を要求
	WSADATA	winsockData;
	wRequired=MAKEWORD(2,0);
	if(WSAStartup(wRequired,&winsockData))
		return(-1);

	_initWinsock = 1;
	return(0);
}